Debian Bug report logs - #470408
[s3/VirtualPC] should not use 24bits depth when not available in ROM

version graph

Package: xserver-xorg-video-s3; Maintainer for xserver-xorg-video-s3 is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg-video-s3 is src:xserver-xorg-video-s3.

Reported by: Franklin Piat <fpiat@bigfoot.com>

Date: Mon, 10 Mar 2008 23:53:46 UTC

Severity: wishlist

Tags: fixed-upstream

Found in versions xserver-xorg-video-s3/1:0.4.1-5, xserver-xorg-video-s3/1:0.5.0-2

Fixed in version xserver-xorg-video-s3/1:0.6.2-1

Done: Brice Goglin <bgoglin@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugs.freedesktop.org/show_bug.cgi?id=14999

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#470408; Package xserver-xorg-video-s3. Full text and rfc822 format available.

Acknowledgement sent to Franklin Piat <fpiat@bigfoot.com>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Franklin Piat <fpiat@bigfoot.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xorg-video-s3: Screen corrupted for Virtual PC 2007, in 24bit mode
Date: Tue, 11 Mar 2008 01:29:55 +0100
Package: xserver-xorg-video-s3
Version: 1:0.4.1-5
Severity: normal


The screen looks too wide and corrupted, when ran in 24 bits mode.

Microsoft Virtual PC 2007 emulates the following video card :
 "S3 Trio 32/64 PCI (8 MB Video RAM with VM Additions)"

According to a blog from someone who seems to be a VPC developper :
> These display systems are usually defaulted to using 24-bit color depths,
> and our emulated S3 Trio 64 does not support 24-bit color. A physical S3
> Trio 64 does support 24-bit color but we only support 1,2,4,8,16 and 
> 32-bit color modes. This does not cause a problem on other platforms as
> we have removed the 24-bit entries from our ROM - which most operating 
> systems probe to determine possible displays. However X does not check
> our ROM and attempts to use 24-bit color. This results in a corrupted 
> (and very wide) display on the virtual machine. This problem can be 
> easily avoided by selecting to use 16-bit color.
src: http://blogs.msdn.com/virtual_pc_guy/archive/2005/05/09/415814.aspx

( A screen shot of the corrupted screen is available from my howto:
http://wiki.debian.org/InstallingDebianOn/VMs/MicrosoftVirtualPc2007/etch )

A known workaround is to switch to text mode, then run :
sed -e 's/^DefaultDepth.*/DefaultDepth 16/' -i /etc/X11/xorg.conf 

I don't know how to improve the detection (neither in the installer 
since the card has no pci sub-vendor/sub-device, nor xorg's s3 module 
to improve bogus ROM)...

Franklin

P.S. I'll install with Debian/Testing, and i'll update this BR accordingly.

-- Package-specific info:
Contents of /var/lib/x11/X.roster:
xserver-xorg

/etc/X11/X target does not match checksum in /var/lib/x11/X.md5sum.

X server symlink status:
lrwxrwxrwx 1 root root 13 2008-03-09 12:39 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1598604 2008-01-24 01:43 /usr/bin/Xorg

Contents of /var/lib/x11/xorg.conf.roster:
xserver-xorg

VGA-compatible devices on PCI bus:
00:08.0 VGA compatible controller: S3 Inc. 86c764/765 [Trio32/64/64V+]

/etc/X11/xorg.conf does not match checksum in /var/lib/x11/xorg.conf.md5sum.

Xorg X server configuration file status:
-rw-r--r-- 1 root root 3167 2008-03-10 23:20 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
# /etc/X11/xorg.conf (xorg X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the /etc/X11/xorg.conf manual page.
# (Type "man /etc/X11/xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

# THIS XORG.CONF file is for
#   Debian/Etch 4.0r3, running on Microsoft Virtual PC 2007


Section "Files"
	FontPath	"/usr/share/fonts/X11/misc"
	FontPath	"/usr/X11R6/lib/X11/fonts/misc"
	FontPath	"/usr/share/fonts/X11/cyrillic"
	FontPath	"/usr/X11R6/lib/X11/fonts/cyrillic"
	FontPath	"/usr/share/fonts/X11/100dpi/:unscaled"
	FontPath	"/usr/X11R6/lib/X11/fonts/100dpi/:unscaled"
	FontPath	"/usr/share/fonts/X11/75dpi/:unscaled"
	FontPath	"/usr/X11R6/lib/X11/fonts/75dpi/:unscaled"
	FontPath	"/usr/share/fonts/X11/Type1"
	FontPath	"/usr/X11R6/lib/X11/fonts/Type1"
	FontPath	"/usr/share/fonts/X11/100dpi"
	FontPath	"/usr/X11R6/lib/X11/fonts/100dpi"
	FontPath	"/usr/share/fonts/X11/75dpi"
	FontPath	"/usr/X11R6/lib/X11/fonts/75dpi"
	# path to defoma fonts
	FontPath	"/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
EndSection

Section "Module"
	Load	"i2c"
	Load	"bitmap"
	Load	"ddc"
	Load	"dri"
	Load	"extmod"
	Load	"freetype"
	Load	"glx"
	Load	"int10"
	Load	"vbe"
EndSection

Section "InputDevice"
	Identifier	"Generic Keyboard"
	Driver		"kbd"
	Option		"CoreKeyboard"
	Option		"XkbRules"	"xorg"
	Option		"XkbModel"	"pc105"
	Option		"XkbLayout"	"fr"
	Option		"XkbVariant"	"latin9"
EndSection

Section "InputDevice"
	Identifier	"Configured Mouse"
	Driver		"mouse"
	Option		"CorePointer"
	Option		"Device"		"/dev/input/mice"
	Option		"Protocol"		"ImPS/2"
	Option		"Emulate3Buttons"	"true"
EndSection

Section "Device"
	Identifier	"S3 Inc. 86c764/765 [Trio32/64/64V+]"
 	Driver		"s3"
	BusID		"PCI:0:8:0"
EndSection

Section "Monitor"
	Identifier	"Generic Monitor"
	Option		"DPMS"
	HorizSync	28-51
	VertRefresh	43-60
EndSection

Section "Screen"
	Identifier	"Default Screen"
	Device		"S3 Inc. 86c764/765 [Trio32/64/64V+]"
	Monitor		"Generic Monitor"
#	DefaultDepth	24
	DefaultDepth	16
	SubSection "Display"
		Depth		1
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		4
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		8
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		15
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		16
		Modes		"1280x1024" "1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		24
		Modes		"1024x768" "800x600" "640x480"
	EndSubSection
EndSection

Section "ServerLayout"
	Identifier	"Default Layout"
	Screen		"Default Screen"
	InputDevice	"Generic Keyboard"
	InputDevice	"Configured Mouse"
EndSection

Section "DRI"
	Mode	0666
EndSection


Xorg X server log files on system:
-rw-r--r-- 1 root root 25204 2008-03-10 23:20 /var/log/Xorg.20.log
-rw-r--r-- 1 root root 25689 2008-03-10 23:20 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file
/var/log/Xorg.0.log:

X Window System Version 7.1.1
Release Date: 12 May 2006
X Protocol Version 11, Revision 0, Release 7.1.1
Build Operating System: UNKNOWN 
Current Operating System: Linux debian-etch-on-vpc2007 2.6.18-6-686 #1 SMP Sun Feb 10 22:11:31 UTC 2008 i686
Build Date: 24 January 2008
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Mon Mar 10 23:00:07 2008
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Default Layout"
(**) |-->Screen "Default Screen" (0)
(**) |   |-->Monitor "Generic Monitor"
(**) |   |-->Device "S3 Inc. 86c764/765 [Trio32/64/64V+]"
(**) |-->Input Device "Generic Keyboard"
(**) |-->Input Device "Configured Mouse"
(WW) The directory "/usr/X11R6/lib/X11/fonts/misc" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/X11R6/lib/X11/fonts/cyrillic" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/X11R6/lib/X11/fonts/100dpi/" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/X11R6/lib/X11/fonts/75dpi/" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/X11R6/lib/X11/fonts/Type1" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/X11R6/lib/X11/fonts/100dpi" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/X11R6/lib/X11/fonts/75dpi" does not exist.
	Entry deleted from font path.
(WW) The directory "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType" does not exist.
	Entry deleted from font path.
(**) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi
(==) RgbPath set to "/etc/X11/rgb"
(==) ModulePath set to "/usr/lib/xorg/modules"
(II) Open ACPI successful (/var/run/acpid.socket)
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.3
	X.Org Video Driver: 1.0
	X.Org XInput driver : 0.6
	X.Org Server Extension : 0.3
	X.Org Font Renderer : 0.5
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/lib/xorg/modules/fonts/libbitmap.so
(II) Module bitmap: vendor="X.Org Foundation"
	compiled for 7.1.1, module version = 1.0.0
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.5
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/lib/xorg/modules/libpcidata.so
(II) Module pcidata: vendor="X.Org Foundation"
	compiled for 7.1.1, module version = 1.0.0
	ABI class: X.Org Video Driver, version 1.0
(++) using VT number 7

(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,7192 card 0000,0000 rev 03 class 06,00,00 hdr 00
(II) PCI: 00:07:0: chip 8086,7110 card 0000,0000 rev 01 class 06,01,00 hdr 80
(II) PCI: 00:07:1: chip 8086,7111 card 0000,0000 rev 01 class 01,01,80 hdr 00
(II) PCI: 00:07:3: chip 8086,7113 card 0000,0000 rev 02 class 06,80,00 hdr 00
(II) PCI: 00:08:0: chip 5333,8811 card 0000,0000 rev 00 class 03,00,00 hdr 00
(II) PCI: 00:0a:0: chip 1011,0009 card 0a00,2114 rev 20 class 02,00,00 hdr 00
(II) PCI: End of PCI scan
(II) Host-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (0,0,0), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 0 I/O range:
	[0] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) PCI-to-ISA bridge:
(II) Bus -1: bridge is at (0:7:0), (0,-1,-1), BCTRL: 0x0008 (VGA_EN is set)
(--) PCI:*(0:8:0) S3 Inc. 86c764/765 [Trio32/64/64V+] rev 0, Mem @ 0xf8000000/26
(II) Addressable bus resource ranges are
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) Active PCI resource ranges:
	[0] -1	0	0xfebff000 - 0xfebfffff (0x1000) MX[B]
	[1] -1	0	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[2] -1	0	0x0000ec00 - 0x0000ec7f (0x80) IX[B]
	[3] -1	0	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0	0xfebff000 - 0xfebfffff (0x1000) MX[B]
	[1] -1	0	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[2] -1	0	0x0000ec00 - 0x0000ec7f (0x80) IX[B]
	[3] -1	0	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xfebff000 - 0xfebfffff (0x1000) MX[B]
	[5] -1	0	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[6] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[7] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[8] -1	0	0x0000ec00 - 0x0000ec7f (0x80) IX[B]
	[9] -1	0	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
(II) LoadModule: "i2c"
(II) Loading /usr/lib/xorg/modules/libi2c.so
(II) Module i2c: vendor="X.Org Foundation"
	compiled for 7.1.1, module version = 1.2.0
	ABI class: X.Org Video Driver, version 1.0
(II) LoadModule: "bitmap"
(II) Reloading /usr/lib/xorg/modules/fonts/libbitmap.so
(II) Loading font Bitmap
(II) LoadModule: "ddc"
(II) Loading /usr/lib/xorg/modules/libddc.so
(II) Module ddc: vendor="X.Org Foundation"
	compiled for 7.1.1, module version = 1.0.0
	ABI class: X.Org Video Driver, version 1.0
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions/libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 7.1.1, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/lib/xorg/modules/linux/libdrm.so
(II) Module drm: vendor="X.Org Foundation"
	compiled for 7.1.1, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension XFree86-DRI
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 7.1.1, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "freetype"
(II) Loading /usr/lib/xorg/modules/fonts/libfreetype.so
(II) Module freetype: vendor="X.Org Foundation & the After X-TT Project"
	compiled for 7.1.1, module version = 2.1.0
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.5
(II) Loading font FreeType
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions/libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 7.1.1, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "int10"
(II) Loading /usr/lib/xorg/modules/libint10.so
(II) Module int10: vendor="X.Org Foundation"
	compiled for 7.1.1, module version = 1.0.0
	ABI class: X.Org Video Driver, version 1.0
(II) LoadModule: "vbe"
(II) Loading /usr/lib/xorg/modules/libvbe.so
(II) Module vbe: vendor="X.Org Foundation"
	compiled for 7.1.1, module version = 1.1.0
	ABI class: X.Org Video Driver, version 1.0
(II) LoadModule: "s3"
(II) Loading /usr/lib/xorg/modules/drivers/s3_drv.so
(II) Module s3: vendor="X.Org Foundation"
	compiled for 7.1.1, module version = 0.4.1
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 1.0
(II) LoadModule: "kbd"
(II) Loading /usr/lib/xorg/modules/input/kbd_drv.so
(II) Module kbd: vendor="X.Org Foundation"
	compiled for 7.1.1, module version = 1.1.0
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 0.6
(II) LoadModule: "mouse"
(II) Loading /usr/lib/xorg/modules/input/mouse_drv.so
(II) Module mouse: vendor="X.Org Foundation"
	compiled for 7.1.1, module version = 1.1.1
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 0.6
(II) S3: driver (version 0.4.1 for S3 chipset: 964-0, 964-1, 968,
	Trio32/64, Aurora64V+, Trio64UV+, Trio64V2/DX/GX
(II) Primary Device is: PCI 00:08:0
(--) Chipset Trio32/64 found
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xfebff000 - 0xfebfffff (0x1000) MX[B]
	[5] -1	0	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[6] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[7] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[8] -1	0	0x0000ec00 - 0x0000ec7f (0x80) IX[B]
	[9] -1	0	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
(II) resource ranges after probing:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xfebff000 - 0xfebfffff (0x1000) MX[B]
	[5] -1	0	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[6] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[7] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[8] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[9] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[10] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[11] -1	0	0x0000ec00 - 0x0000ec7f (0x80) IX[B]
	[12] -1	0	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
	[13] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[14] 0	0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/lib/xorg/modules/libvgahw.so
(II) Module vgahw: vendor="X.Org Foundation"
	compiled for 7.1.1, module version = 0.1.0
	ABI class: X.Org Video Driver, version 1.0
(II) s3(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000
(**) s3(0): Depth 16, (--) framebuffer bpp 16
(==) s3(0): RGB weight 565
(==) s3(0): Default visual is TrueColor
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Reloading /usr/lib/xorg/modules/libint10.so
(II) Loading sub module "vm86"
(II) LoadModule: "vm86"
(II) Loading /usr/lib/xorg/modules/libvm86.so
(II) Module vm86: vendor="X.Org Foundation"
	compiled for 7.1.1, module version = 1.0.0
	ABI class: X.Org Video Driver, version 1.0
(WW) s3(0): Bad V_BIOS checksum
(II) s3(0): Primary V_BIOS segment is: 0xc000
(WW) System lacks support for changing MTRRs
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Reloading /usr/lib/xorg/modules/libvbe.so
(II) s3(0): VESA BIOS detected
(II) s3(0): VESA VBE Version 2.0
(II) s3(0): VESA VBE Total Mem: 4096 kB
(II) s3(0): VESA VBE OEM: IBM SVGA BIOS, (C) 1993 International Business Machines
(II) s3(0): VESA VBE OEM Software Rev: 0.0
(==) s3(0): Using gamma correction (1.0, 1.0, 1.0)
(**) s3(0): Chipset: "Trio32/64"
(--) s3(0): Framebuffer @ 0xf8000000
(--) s3(0): videoRam = 4096 Kb
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Loading /usr/lib/xorg/modules/libramdac.so
(II) Module ramdac: vendor="X.Org Foundation"
	compiled for 7.1.1, module version = 0.1.0
	ABI class: X.Org Video Driver, version 1.0
(--) s3(0): MCLK 14.318 Mhz
(--) s3(0): RefClock: 16000
(--) s3(0): Max pixel clock at this depth is 80 Mhz
(II) s3(0): Generic Monitor: Using hsync range of 28.00-51.00 kHz
(II) s3(0): Generic Monitor: Using vrefresh range of 43.00-60.00 Hz
(II) s3(0): Clock range:  15.60 to  80.00 MHz
(II) s3(0): Not using default mode "640x350" (vrefresh out of range)
(II) s3(0): Not using default mode "320x175" (vrefresh out of range)
(II) s3(0): Not using default mode "640x400" (vrefresh out of range)
(II) s3(0): Not using default mode "320x200" (vrefresh out of range)
(II) s3(0): Not using default mode "720x400" (vrefresh out of range)
(II) s3(0): Not using default mode "360x200" (vrefresh out of range)
(II) s3(0): Not using default mode "640x480" (vrefresh out of range)
(II) s3(0): Not using default mode "320x240" (vrefresh out of range)
(II) s3(0): Not using default mode "640x480" (vrefresh out of range)
(II) s3(0): Not using default mode "320x240" (vrefresh out of range)
(II) s3(0): Not using default mode "640x480" (vrefresh out of range)
(II) s3(0): Not using default mode "320x240" (vrefresh out of range)
(II) s3(0): Not using default mode "800x600" (vrefresh out of range)
(II) s3(0): Not using default mode "400x300" (vrefresh out of range)
(II) s3(0): Not using default mode "800x600" (vrefresh out of range)
(II) s3(0): Not using default mode "400x300" (vrefresh out of range)
(II) s3(0): Not using default mode "800x600" (hsync out of range)
(II) s3(0): Not using default mode "400x300" (hsync out of range)
(II) s3(0): Not using default mode "1024x768" (vrefresh out of range)
(II) s3(0): Not using default mode "512x384" (vrefresh out of range)
(II) s3(0): Not using default mode "1024x768" (hsync out of range)
(II) s3(0): Not using default mode "512x384" (hsync out of range)
(II) s3(0): Not using default mode "1024x768" (hsync out of range)
(II) s3(0): Not using default mode "512x384" (hsync out of range)
(II) s3(0): Not using default mode "1024x768" (hsync out of range)
(II) s3(0): Not using default mode "512x384" (hsync out of range)
(II) s3(0): Not using default mode "1152x864" (hsync out of range)
(II) s3(0): Not using default mode "576x432" (hsync out of range)
(II) s3(0): Not using default mode "1280x960" (hsync out of range)
(II) s3(0): Not using default mode "640x480" (hsync out of range)
(II) s3(0): Not using default mode "1280x960" (hsync out of range)
(II) s3(0): Not using default mode "640x480" (hsync out of range)
(II) s3(0): Not using default mode "1280x1024" (hsync out of range)
(II) s3(0): Not using default mode "640x512" (hsync out of range)
(II) s3(0): Not using default mode "1280x1024" (hsync out of range)
(II) s3(0): Not using default mode "640x512" (hsync out of range)
(II) s3(0): Not using default mode "1280x1024" (hsync out of range)
(II) s3(0): Not using default mode "640x512" (hsync out of range)
(II) s3(0): Not using default mode "1600x1200" (hsync out of range)
(II) s3(0): Not using default mode "800x600" (hsync out of range)
(II) s3(0): Not using default mode "1600x1200" (hsync out of range)
(II) s3(0): Not using default mode "800x600" (hsync out of range)
(II) s3(0): Not using default mode "1600x1200" (hsync out of range)
(II) s3(0): Not using default mode "800x600" (hsync out of range)
(II) s3(0): Not using default mode "1600x1200" (hsync out of range)
(II) s3(0): Not using default mode "800x600" (hsync out of range)
(II) s3(0): Not using default mode "1600x1200" (hsync out of range)
(II) s3(0): Not using default mode "800x600" (hsync out of range)
(II) s3(0): Not using default mode "1792x1344" (insufficient memory for mode)
(II) s3(0): Not using default mode "896x672" (hsync out of range)
(II) s3(0): Not using default mode "1792x1344" (insufficient memory for mode)
(II) s3(0): Not using default mode "896x672" (hsync out of range)
(II) s3(0): Not using default mode "1856x1392" (insufficient memory for mode)
(II) s3(0): Not using default mode "928x696" (hsync out of range)
(II) s3(0): Not using default mode "1856x1392" (insufficient memory for mode)
(II) s3(0): Not using default mode "928x696" (hsync out of range)
(II) s3(0): Not using default mode "1920x1440" (insufficient memory for mode)
(II) s3(0): Not using default mode "960x720" (hsync out of range)
(II) s3(0): Not using default mode "1920x1440" (insufficient memory for mode)
(II) s3(0): Not using default mode "960x720" (hsync out of range)
(II) s3(0): Not using default mode "832x624" (vrefresh out of range)
(II) s3(0): Not using default mode "416x312" (vrefresh out of range)
(II) s3(0): Not using default mode "1152x864" (hsync out of range)
(II) s3(0): Not using default mode "576x432" (hsync out of range)
(II) s3(0): Not using default mode "1400x1050" (hsync out of range)
(II) s3(0): Not using default mode "700x525" (hsync out of range)
(II) s3(0): Not using default mode "1400x1050" (hsync out of range)
(II) s3(0): Not using default mode "700x525" (hsync out of range)
(II) s3(0): Not using default mode "1400x1050" (hsync out of range)
(II) s3(0): Not using default mode "700x525" (hsync out of range)
(II) s3(0): Not using default mode "1400x1050" (hsync out of range)
(II) s3(0): Not using default mode "700x525" (hsync out of range)
(II) s3(0): Not using default mode "1440x900" (hsync out of range)
(II) s3(0): Not using default mode "720x450" (hsync out of range)
(II) s3(0): Not using default mode "1600x1024" (hsync out of range)
(II) s3(0): Not using default mode "800x512" (hsync out of range)
(II) s3(0): Not using default mode "1680x1050" (width requires unsupported line pitch)
(II) s3(0): Not using default mode "840x525" (hsync out of range)
(II) s3(0): Not using default mode "1920x1200" (insufficient memory for mode)
(II) s3(0): Not using default mode "960x600" (hsync out of range)
(II) s3(0): Not using default mode "1920x1200" (insufficient memory for mode)
(II) s3(0): Not using default mode "960x600" (hsync out of range)
(II) s3(0): Not using default mode "1920x1440" (insufficient memory for mode)
(II) s3(0): Not using default mode "960x720" (hsync out of range)
(II) s3(0): Not using default mode "2048x1536" (insufficient memory for mode)
(II) s3(0): Not using default mode "1024x768" (hsync out of range)
(II) s3(0): Not using default mode "2048x1536" (insufficient memory for mode)
(II) s3(0): Not using default mode "1024x768" (hsync out of range)
(II) s3(0): Not using default mode "2048x1536" (insufficient memory for mode)
(II) s3(0): Not using default mode "1024x768" (hsync out of range)
(II) s3(0): Not using mode "1280x1024" (no mode of this name)
(II) s3(0): Not using mode "1280x800" (bad mode clock/interlace/doublescan)
(II) s3(0): Not using mode "1280x768" (bad mode clock/interlace/doublescan)
(II) s3(0): Not using default mode "1152x768" (width too large for virtual size)
(II) s3(0): Not using mode "320x240" (bad mode clock/interlace/doublescan)
(--) s3(0): Virtual size is 1024x768 (pitch 1024)
(**) s3(0): *Default mode "1024x768": 65.0 MHz, 48.4 kHz, 60.0 Hz
(II) s3(0): Modeline "1024x768"   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync
(**) s3(0): *Default mode "800x600": 40.0 MHz, 37.9 kHz, 60.3 Hz
(II) s3(0): Modeline "800x600"   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync
(**) s3(0): *Default mode "640x480": 25.2 MHz, 31.5 kHz, 60.0 Hz
(II) s3(0): Modeline "640x480"   25.20  640 656 752 800  480 490 492 525 -hsync -vsync
(**) s3(0):  Default mode "800x600": 36.0 MHz, 35.2 kHz, 56.2 Hz
(II) s3(0): Modeline "800x600"   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync
(**) s3(0):  Default mode "640x400": 41.7 MHz, 49.7 kHz, 60.0 Hz (D)
(II) s3(0): Modeline "640x400"   41.73  640 672 740 840  400 400 402 414 doublescan
(**) s3(0):  Default mode "640x384": 40.1 MHz, 47.7 kHz, 60.1 Hz (D)
(II) s3(0): Modeline "640x384"   40.07  640 672 740 840  384 384 386 397 doublescan
(**) s3(0):  Default mode "576x384": 32.5 MHz, 44.2 kHz, 54.8 Hz (D)
(II) s3(0): Modeline "576x384"   32.50  576 589 657 736  384 385 388 403 doublescan +hsync +vsync
(**) s3(0):  Default mode "512x384": 32.5 MHz, 48.4 kHz, 60.0 Hz (D)
(II) s3(0): Modeline "512x384"   32.50  512 524 592 672  384 385 388 403 doublescan -hsync -vsync
(**) s3(0):  Default mode "400x300": 20.0 MHz, 37.9 kHz, 60.3 Hz (D)
(II) s3(0): Modeline "400x300"   20.00  400 420 484 528  300 300 302 314 doublescan +hsync +vsync
(**) s3(0):  Default mode "400x300": 18.0 MHz, 35.2 kHz, 56.3 Hz (D)
(II) s3(0): Modeline "400x300"   18.00  400 412 448 512  300 300 301 312 doublescan +hsync +vsync
(++) s3(0): DPI set to (96, 96)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules/libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 7.1.1, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.3
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/lib/xorg/modules/libxaa.so
(II) Module xaa: vendor="X.Org Foundation"
	compiled for 7.1.1, module version = 1.2.0
	ABI class: X.Org Video Driver, version 1.0
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
	[0] 0	0	0xf8000000 - 0xfbffffff (0x4000000) MS[B]
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0xfebff000 - 0xfebfffff (0x1000) MX[B]
	[6] -1	0	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[7] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B](OprD)
	[8] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B](OprD)
	[9] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B](OprD)
	[10] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[11] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[12] -1	0	0x0000ec00 - 0x0000ec7f (0x80) IX[B]
	[13] -1	0	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
	[14] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[15] 0	0	0x000003c0 - 0x000003df (0x20) IS[B]
(==) s3(0): Backing store disabled
(II) s3(0): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	8x8 color pattern filled rectangles
	Solid Lines
(II) s3(0): Acceleration enabled
(II) s3(0): Using PIO
(II) s3(0): Using SW cursor
(**) Option "dpms"
(**) s3(0): DPMS enabled
(==) RandR enabled
(II) Setting vga for screen 0.
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
(II) Initializing built-in extension XEVIE
(EE) AIGLX: Screen 0 is not DRI capable
(II) Loading local sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Loading /usr/lib/xorg/modules/extensions/libGLcore.so
(II) Module GLcore: vendor="X.Org Foundation"
	compiled for 7.1.1, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(II) GLX: Initialized MESA-PROXY GL provider for screen 0
(**) Option "CoreKeyboard"
(**) Generic Keyboard: Core Keyboard
(**) Option "Protocol" "standard"
(**) Generic Keyboard: Protocol: standard
(**) Option "AutoRepeat" "500 30"
(**) Option "XkbRules" "xorg"
(**) Generic Keyboard: XkbRules: "xorg"
(**) Option "XkbModel" "pc105"
(**) Generic Keyboard: XkbModel: "pc105"
(**) Option "XkbLayout" "fr"
(**) Generic Keyboard: XkbLayout: "fr"
(**) Option "XkbVariant" "latin9"
(**) Generic Keyboard: XkbVariant: "latin9"
(**) Option "CustomKeycodes" "off"
(**) Generic Keyboard: CustomKeycodes disabled
(**) Option "Protocol" "ImPS/2"
(**) Configured Mouse: Device: "/dev/input/mice"
(**) Configured Mouse: Protocol: "ImPS/2"
(**) Option "CorePointer"
(**) Configured Mouse: Core Pointer
(**) Option "Device" "/dev/input/mice"
(**) Option "Emulate3Buttons" "true"
(**) Configured Mouse: Emulate3Buttons, Emulate3Timeout: 50
(**) Configured Mouse: ZAxisMapping: buttons 4 and 5
(**) Configured Mouse: Buttons: 9
(II) XINPUT: Adding extended input device "Configured Mouse" (type: MOUSE)
(II) XINPUT: Adding extended input device "Generic Keyboard" (type: KEYBOARD)
    xkb_keycodes             { include "xfree86+aliases(azerty)" };
    xkb_types                { include "complete" };
    xkb_compatibility        { include "complete" };
    xkb_symbols              { include "pc(pc105)+fr(latin9)" };
    xkb_geometry             { include "pc(pc105)" };
(II) Configured Mouse: ps2EnableDataReporting: succeeded
SetGrabKeysState - disabled
(II) Open ACPI successful (/var/run/acpid.socket)
(II) Configured Mouse: ps2EnableDataReporting: succeeded
SetGrabKeysState - enabled
SetGrabKeysState - disabled
(II) Open ACPI successful (/var/run/acpid.socket)
(II) Configured Mouse: ps2EnableDataReporting: succeeded
SetGrabKeysState - enabled
SetGrabKeysState - disabled
(II) Open ACPI successful (/var/run/acpid.socket)
(II) Configured Mouse: ps2EnableDataReporting: succeeded
SetGrabKeysState - enabled


-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-6-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages xserver-xorg-video-s3 depends on:
ii  libc6                  2.3.6.ds1-13etch5 GNU C Library: Shared libraries
ii  xserver-xorg-core      2:1.1.1-21etch4   X.Org X server -- core server

xserver-xorg-video-s3 recommends no packages.

-- no debconf information




Severity set to `wishlist' from `normal' Request was from Brice Goglin <bgoglin@debian.org> to control@bugs.debian.org. (Tue, 11 Mar 2008 07:45:24 GMT) Full text and rfc822 format available.

Changed Bug title to `[s3/VirtualPC] should not use 24bits depth when not available in ROM' from `xserver-xorg-video-s3: Screen corrupted for Virtual PC 2007, in 24bit mode'. Request was from Brice Goglin <bgoglin@debian.org> to control@bugs.debian.org. (Tue, 11 Mar 2008 07:45:26 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#470408; Package xserver-xorg-video-s3. Full text and rfc822 format available.

Acknowledgement sent to Franklin Piat <fpiat@bigfoot.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #14 received at 470408@bugs.debian.org (full text, mbox):

From: Franklin Piat <fpiat@bigfoot.com>
To: Debian Bug Tracking System <470408@bugs.debian.org>
Subject: xserver-xorg-video-s3: version 1:0.5.0-2 is affected too
Date: Wed, 12 Mar 2008 08:53:16 +0100
Package: xserver-xorg-video-s3
Version: 1:0.5.0-2
Followup-For: Bug #470408


This version is affected too (screen looks corrupted and too wide).

-- Package-specific info:
Contents of /var/lib/x11/X.roster:
xserver-xorg

/etc/X11/X target does not match checksum in /var/lib/x11/X.md5sum.

X server symlink status:
lrwxrwxrwx 1 root root 13 2008-03-11 09:53 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1736632 2007-08-09 19:39 /usr/bin/Xorg

Contents of /var/lib/x11/xorg.conf.roster:
xserver-xorg

VGA-compatible devices on PCI bus:
00:08.0 VGA compatible controller: S3 Inc. 86c764/765 [Trio32/64/64V+]

/etc/X11/xorg.conf does not match checksum in /var/lib/x11/xorg.conf.md5sum.

Xorg X server configuration file status:
-rw-r--r-- 1 root root 1717 2008-03-11 11:11 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
# xorg.conf (xorg X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the xorg.conf manual page.
# (Type "man xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "Files"
EndSection

Section "InputDevice"
	Identifier	"Generic Keyboard"
	Driver		"kbd"
	Option		"CoreKeyboard"
	Option		"XkbRules"	"xorg"
	Option		"XkbModel"	"pc105"
	Option		"XkbLayout"	"fr"
	Option		"XkbVariant"	"latin9"
EndSection

Section "InputDevice"
	Identifier	"Configured Mouse"
	Driver		"mouse"
	Option		"CorePointer"
	Option		"Device"		"/dev/input/mice"
	Option		"Protocol"		"ImPS/2"
	Option		"Emulate3Buttons"	"true"
EndSection

Section "Device"
	Identifier	"S3 Inc. 86c764/765 [Trio32/64/64V+]"
	Driver		"s3"
	BusID		"PCI:0:8:0"
EndSection

Section "Monitor"
	Identifier	"Generic Monitor"
	Option		"DPMS"
	HorizSync	28-80
	VertRefresh	43-60
EndSection

Section "Screen"
	Identifier	"Default Screen"
	Device		"S3 Inc. 86c764/765 [Trio32/64/64V+]"
	Monitor		"Generic Monitor"
	DefaultDepth	16
	SubSection "Display"
		Modes		"1600x1200" "1440x900" "1400x1050" "1280x1024" "1024x768" "800x600" "640x480"
	EndSubSection
EndSection

Section "ServerLayout"
	Identifier	"Default Layout"
	Screen		"Default Screen"
	InputDevice	"Generic Keyboard"
	InputDevice	"Configured Mouse"
EndSection


Xorg X server log files on system:
-rw-r--r-- 1 root root 23744 2008-03-12 08:41 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file
/var/log/Xorg.0.log:

X Window System Version 1.3.0
Release Date: 19 April 2007
X Protocol Version 11, Revision 0, Release 1.3
Build Operating System: Linux Debian (xorg-server 2:1.3.0.0.dfsg-12)
Current Operating System: Linux lenny-vpc2007 2.6.22-3-686 #1 SMP Mon Nov 12 08:32:57 UTC 2007 i686
Build Date: 09 August 2007
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Wed Mar 12 08:41:52 2008
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Default Layout"
(**) |-->Screen "Default Screen" (0)
(**) |   |-->Monitor "Generic Monitor"
(**) |   |-->Device "S3 Inc. 86c764/765 [Trio32/64/64V+]"
(**) |-->Input Device "Generic Keyboard"
(**) |-->Input Device "Configured Mouse"
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(WW) The directory "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType" does not exist.
	Entry deleted from font path.
(==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi
(==) RgbPath set to "/etc/X11/rgb"
(==) ModulePath set to "/usr/lib/xorg/modules"
(II) Open ACPI successful (/var/run/acpid.socket)
(II) Loader magic: 0x81e5140
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.3
	X.Org Video Driver: 1.2
	X.Org XInput driver : 0.7
	X.Org Server Extension : 0.3
	X.Org Font Renderer : 0.5
(II) Loader running on linux
(II) LoadModule: "pcidata"
(II) Loading /usr/lib/xorg/modules//libpcidata.so
(II) Module pcidata: vendor="X.Org Foundation"
	compiled for 1.3.0, module version = 1.0.0
	ABI class: X.Org Video Driver, version 1.2
(++) using VT number 7

(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,7192 card 0000,0000 rev 03 class 06,00,00 hdr 00
(II) PCI: 00:07:0: chip 8086,7110 card 0000,0000 rev 01 class 06,01,00 hdr 80
(II) PCI: 00:07:1: chip 8086,7111 card 0000,0000 rev 01 class 01,01,80 hdr 00
(II) PCI: 00:07:3: chip 8086,7113 card 0000,0000 rev 02 class 06,80,00 hdr 00
(II) PCI: 00:08:0: chip 5333,8811 card 0000,0000 rev 00 class 03,00,00 hdr 00
(II) PCI: 00:0a:0: chip 1011,0009 card 0a00,2114 rev 20 class 02,00,00 hdr 00
(II) PCI: End of PCI scan
(II) Host-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (0,0,0), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 0 I/O range:
	[0] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) PCI-to-ISA bridge:
(II) Bus -1: bridge is at (0:7:0), (0,-1,-1), BCTRL: 0x0008 (VGA_EN is set)
(--) PCI:*(0:8:0) S3 Inc. 86c764/765 [Trio32/64/64V+] rev 0, Mem @ 0xf8000000/26
(II) Addressable bus resource ranges are
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) Active PCI resource ranges:
	[0] -1	0	0xfebff000 - 0xfebfffff (0x1000) MX[B]
	[1] -1	0	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[2] -1	0	0x0000ec00 - 0x0000ec7f (0x80) IX[B]
	[3] -1	0	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0	0xfebff000 - 0xfebfffff (0x1000) MX[B]
	[1] -1	0	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[2] -1	0	0x0000ec00 - 0x0000ec7f (0x80) IX[B]
	[3] -1	0	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xfebff000 - 0xfebfffff (0x1000) MX[B]
	[5] -1	0	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[6] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[7] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[8] -1	0	0x0000ec00 - 0x0000ec7f (0x80) IX[B]
	[9] -1	0	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions//libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.3.0, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions//libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.3.0, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions//libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.3.0, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "freetype"
(II) Loading /usr/lib/xorg/modules//fonts/libfreetype.so
(II) Module freetype: vendor="X.Org Foundation & the After X-TT Project"
	compiled for 1.3.0, module version = 2.1.0
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.5
(II) Loading font FreeType
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions//librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.3.0, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension RECORD
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions//libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.3.0, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension XFree86-DRI
(II) LoadModule: "s3"
(II) Loading /usr/lib/xorg/modules/drivers//s3_drv.so
(II) Module s3: vendor="X.Org Foundation"
	compiled for 1.3.0, module version = 0.5.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 1.2
(II) LoadModule: "kbd"
(II) Loading /usr/lib/xorg/modules/input//kbd_drv.so
(II) Module kbd: vendor="X.Org Foundation"
	compiled for 1.3.0, module version = 1.2.1
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 0.7
(II) LoadModule: "mouse"
(II) Loading /usr/lib/xorg/modules/input//mouse_drv.so
(II) Module mouse: vendor="X.Org Foundation"
	compiled for 1.3.0, module version = 1.2.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 0.7
(II) S3: driver (version 0.5.0 for S3 chipset: 964-0, 964-1, 968,
	Trio32/64, Aurora64V+, Trio64UV+, Trio64V2/DX/GX
(II) Primary Device is: PCI 00:08:0
(--) Chipset Trio32/64 found
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xfebff000 - 0xfebfffff (0x1000) MX[B]
	[5] -1	0	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[6] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[7] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[8] -1	0	0x0000ec00 - 0x0000ec7f (0x80) IX[B]
	[9] -1	0	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
(II) resource ranges after probing:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xfebff000 - 0xfebfffff (0x1000) MX[B]
	[5] -1	0	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[6] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[7] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[8] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[9] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[10] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[11] -1	0	0x0000ec00 - 0x0000ec7f (0x80) IX[B]
	[12] -1	0	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
	[13] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[14] 0	0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/lib/xorg/modules//libvgahw.so
(II) Module vgahw: vendor="X.Org Foundation"
	compiled for 1.3.0, module version = 0.1.0
	ABI class: X.Org Video Driver, version 1.2
(II) s3(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000
(**) s3(0): Depth 16, (--) framebuffer bpp 16
(==) s3(0): RGB weight 565
(==) s3(0): Default visual is TrueColor
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/lib/xorg/modules//libint10.so
(II) Module int10: vendor="X.Org Foundation"
	compiled for 1.3.0, module version = 1.0.0
	ABI class: X.Org Video Driver, version 1.2
(WW) System lacks support for changing MTRRs
(WW) s3(0): Bad V_BIOS checksum
(II) s3(0): Primary V_BIOS segment is: 0xc000
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/lib/xorg/modules//libvbe.so
(II) Module vbe: vendor="X.Org Foundation"
	compiled for 1.3.0, module version = 1.1.0
	ABI class: X.Org Video Driver, version 1.2
(II) s3(0): VESA BIOS detected
(II) s3(0): VESA VBE Version 2.0
(II) s3(0): VESA VBE Total Mem: 4096 kB
(II) s3(0): VESA VBE OEM: IBM SVGA BIOS, (C) 1993 International Business Machines
(II) s3(0): VESA VBE OEM Software Rev: 0.0
(==) s3(0): Using gamma correction (1.0, 1.0, 1.0)
(**) s3(0): Chipset: "Trio32/64"
(--) s3(0): Framebuffer @ 0xf8000000
(--) s3(0): videoRam = 4096 Kb
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"(II) Module already built-in
(--) s3(0): MCLK 14.318 Mhz
(--) s3(0): RefClock: 16000
(--) s3(0): Max pixel clock at this depth is 80 Mhz
(II) s3(0): Generic Monitor: Using hsync range of 28.00-80.00 kHz
(II) s3(0): Generic Monitor: Using vrefresh range of 43.00-60.00 Hz
(II) s3(0): Clock range:  15.60 to  80.00 MHz
(II) s3(0): Not using default mode "640x350" (vrefresh out of range)
(II) s3(0): Not using default mode "320x175" (vrefresh out of range)
(II) s3(0): Not using default mode "640x400" (vrefresh out of range)
(II) s3(0): Not using default mode "320x200" (vrefresh out of range)
(II) s3(0): Not using default mode "720x400" (vrefresh out of range)
(II) s3(0): Not using default mode "360x200" (vrefresh out of range)
(II) s3(0): Not using default mode "640x480" (vrefresh out of range)
(II) s3(0): Not using default mode "320x240" (vrefresh out of range)
(II) s3(0): Not using default mode "640x480" (vrefresh out of range)
(II) s3(0): Not using default mode "320x240" (vrefresh out of range)
(II) s3(0): Not using default mode "640x480" (vrefresh out of range)
(II) s3(0): Not using default mode "320x240" (vrefresh out of range)
(II) s3(0): Not using default mode "800x600" (vrefresh out of range)
(II) s3(0): Not using default mode "400x300" (vrefresh out of range)
(II) s3(0): Not using default mode "800x600" (vrefresh out of range)
(II) s3(0): Not using default mode "400x300" (vrefresh out of range)
(II) s3(0): Not using default mode "800x600" (vrefresh out of range)
(II) s3(0): Not using default mode "400x300" (vrefresh out of range)
(II) s3(0): Not using default mode "1024x768" (vrefresh out of range)
(II) s3(0): Not using default mode "512x384" (vrefresh out of range)
(II) s3(0): Not using default mode "1024x768" (vrefresh out of range)
(II) s3(0): Not using default mode "512x384" (vrefresh out of range)
(II) s3(0): Not using default mode "1024x768" (vrefresh out of range)
(II) s3(0): Not using default mode "512x384" (vrefresh out of range)
(II) s3(0): Not using default mode "1024x768" (vrefresh out of range)
(II) s3(0): Not using default mode "512x384" (vrefresh out of range)
(II) s3(0): Not using default mode "1152x864" (vrefresh out of range)
(II) s3(0): Not using default mode "576x432" (vrefresh out of range)
(II) s3(0): Not using default mode "1280x960" (hsync out of range)
(II) s3(0): Not using default mode "640x480" (hsync out of range)
(II) s3(0): Not using default mode "1280x1024" (vrefresh out of range)
(II) s3(0): Not using default mode "640x512" (vrefresh out of range)
(II) s3(0): Not using default mode "1280x1024" (hsync out of range)
(II) s3(0): Not using default mode "640x512" (hsync out of range)
(II) s3(0): Not using default mode "1600x1200" (hsync out of range)
(II) s3(0): Not using default mode "800x600" (hsync out of range)
(II) s3(0): Not using default mode "1600x1200" (hsync out of range)
(II) s3(0): Not using default mode "800x600" (hsync out of range)
(II) s3(0): Not using default mode "1600x1200" (hsync out of range)
(II) s3(0): Not using default mode "800x600" (hsync out of range)
(II) s3(0): Not using default mode "1600x1200" (hsync out of range)
(II) s3(0): Not using default mode "800x600" (hsync out of range)
(II) s3(0): Not using default mode "1792x1344" (insufficient memory for mode)
(II) s3(0): Not using default mode "896x672" (hsync out of range)
(II) s3(0): Not using default mode "1792x1344" (insufficient memory for mode)
(II) s3(0): Not using default mode "896x672" (hsync out of range)
(II) s3(0): Not using default mode "1856x1392" (insufficient memory for mode)
(II) s3(0): Not using default mode "928x696" (hsync out of range)
(II) s3(0): Not using default mode "1856x1392" (insufficient memory for mode)
(II) s3(0): Not using default mode "928x696" (hsync out of range)
(II) s3(0): Not using default mode "1920x1440" (insufficient memory for mode)
(II) s3(0): Not using default mode "960x720" (hsync out of range)
(II) s3(0): Not using default mode "1920x1440" (insufficient memory for mode)
(II) s3(0): Not using default mode "960x720" (hsync out of range)
(II) s3(0): Not using default mode "832x624" (vrefresh out of range)
(II) s3(0): Not using default mode "416x312" (vrefresh out of range)
(II) s3(0): Not using default mode "1152x864" (vrefresh out of range)
(II) s3(0): Not using default mode "576x432" (vrefresh out of range)
(II) s3(0): Not using default mode "1400x1050" (vrefresh out of range)
(II) s3(0): Not using default mode "700x525" (vrefresh out of range)
(II) s3(0): Not using default mode "1400x1050" (hsync out of range)
(II) s3(0): Not using default mode "700x525" (hsync out of range)
(II) s3(0): Not using default mode "1400x1050" (hsync out of range)
(II) s3(0): Not using default mode "700x525" (hsync out of range)
(II) s3(0): Not using default mode "1680x1050" (width requires unsupported line pitch)
(II) s3(0): Not using default mode "1920x1200" (insufficient memory for mode)
(II) s3(0): Not using default mode "1920x1200" (insufficient memory for mode)
(II) s3(0): Not using default mode "960x600" (hsync out of range)
(II) s3(0): Not using default mode "1920x1440" (insufficient memory for mode)
(II) s3(0): Not using default mode "960x720" (hsync out of range)
(II) s3(0): Not using default mode "2048x1536" (insufficient memory for mode)
(II) s3(0): Not using default mode "1024x768" (hsync out of range)
(II) s3(0): Not using default mode "2048x1536" (insufficient memory for mode)
(II) s3(0): Not using default mode "1024x768" (hsync out of range)
(II) s3(0): Not using default mode "2048x1536" (insufficient memory for mode)
(II) s3(0): Not using default mode "1024x768" (hsync out of range)
(II) s3(0): Not using mode "1600x1200" (bad mode clock/interlace/doublescan)
(II) s3(0): Not using mode "1440x900" (bad mode clock/interlace/doublescan)
(II) s3(0): Not using mode "1400x1050" (bad mode clock/interlace/doublescan)
(II) s3(0): Not using mode "1280x1024" (bad mode clock/interlace/doublescan)
(II) s3(0): Not using mode "1280x960" (bad mode clock/interlace/doublescan)
(II) s3(0): Not using mode "1280x800" (bad mode clock/interlace/doublescan)
(II) s3(0): Not using mode "1280x768" (bad mode clock/interlace/doublescan)
(II) s3(0): Not using default mode "1152x768" (width too large for virtual size)
(II) s3(0): Not using mode "960x600" (bad mode clock/interlace/doublescan)
(II) s3(0): Not using mode "320x240" (bad mode clock/interlace/doublescan)
(--) s3(0): Virtual size is 1024x768 (pitch 1024)
(**) s3(0): *Default mode "1024x768": 65.0 MHz, 48.4 kHz, 60.0 Hz
(II) s3(0): Modeline "1024x768"   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync
(**) s3(0): *Default mode "800x600": 40.0 MHz, 37.9 kHz, 60.3 Hz
(II) s3(0): Modeline "800x600"   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync
(**) s3(0): *Default mode "640x480": 54.0 MHz, 60.0 kHz, 60.0 Hz (D)
(II) s3(0): Modeline "640x480"   54.00  640 688 744 900  480 480 482 500 doublescan +hsync +vsync
(**) s3(0):  Default mode "800x600": 36.0 MHz, 35.2 kHz, 56.2 Hz
(II) s3(0): Modeline "800x600"   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync
(**) s3(0):  Default mode "840x525": 73.6 MHz, 65.2 kHz, 60.1 Hz (D)
(II) s3(0): Modeline "840x525"   73.57  840 892 984 1128  525 525 527 543 doublescan
(**) s3(0):  Default mode "700x525": 61.0 MHz, 64.9 kHz, 60.0 Hz (D)
(II) s3(0): Modeline "700x525"   61.00  700 744 820 940  525 526 532 541 doublescan +hsync +vsync
(**) s3(0):  Default mode "640x512": 54.0 MHz, 64.0 kHz, 60.0 Hz (D)
(II) s3(0): Modeline "640x512"   54.00  640 664 720 844  512 512 514 533 doublescan +hsync +vsync
(**) s3(0):  Default mode "720x450": 54.4 MHz, 56.9 kHz, 60.2 Hz (D)
(II) s3(0): Modeline "720x450"   54.42  720 736 940 956  450 459 463 473 doublescan +hsync +vsync
(**) s3(0):  Default mode "640x480": 25.2 MHz, 31.5 kHz, 59.9 Hz
(II) s3(0): Modeline "640x480"   25.18  640 656 752 800  480 490 492 525 -hsync -vsync
(**) s3(0):  Default mode "640x400": 41.7 MHz, 49.7 kHz, 60.0 Hz (D)
(II) s3(0): Modeline "640x400"   41.73  640 672 740 840  400 400 402 414 doublescan
(**) s3(0):  Default mode "640x384": 40.1 MHz, 47.7 kHz, 60.1 Hz (D)
(II) s3(0): Modeline "640x384"   40.07  640 672 740 840  384 384 386 397 doublescan
(**) s3(0):  Default mode "576x384": 32.5 MHz, 44.2 kHz, 54.8 Hz (D)
(II) s3(0): Modeline "576x384"   32.50  576 589 657 736  384 385 388 403 doublescan +hsync +vsync
(**) s3(0):  Default mode "512x384": 32.5 MHz, 48.4 kHz, 60.0 Hz (D)
(II) s3(0): Modeline "512x384"   32.50  512 524 592 672  384 385 388 403 doublescan -hsync -vsync
(**) s3(0):  Default mode "400x300": 20.0 MHz, 37.9 kHz, 60.3 Hz (D)
(II) s3(0): Modeline "400x300"   20.00  400 420 484 528  300 300 302 314 doublescan +hsync +vsync
(**) s3(0):  Default mode "400x300": 18.0 MHz, 35.2 kHz, 56.3 Hz (D)
(II) s3(0): Modeline "400x300"   18.00  400 412 448 512  300 300 301 312 doublescan +hsync +vsync
(==) s3(0): DPI set to (75, 75)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules//libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 1.3.0, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.3
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/lib/xorg/modules//libxaa.so
(II) Module xaa: vendor="X.Org Foundation"
	compiled for 1.3.0, module version = 1.2.0
	ABI class: X.Org Video Driver, version 1.2
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
	[0] 0	0	0xf8000000 - 0xfbffffff (0x4000000) MS[B]
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0xfebff000 - 0xfebfffff (0x1000) MX[B]
	[6] -1	0	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
	[7] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B](OprD)
	[8] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B](OprD)
	[9] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B](OprD)
	[10] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[11] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[12] -1	0	0x0000ec00 - 0x0000ec7f (0x80) IX[B]
	[13] -1	0	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
	[14] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[15] 0	0	0x000003c0 - 0x000003df (0x20) IS[B]
(==) s3(0): Backing store disabled
(II) s3(0): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	8x8 color pattern filled rectangles
	Solid Lines
(II) s3(0): Acceleration enabled
(II) s3(0): Using PIO
(II) s3(0): Using SW cursor
(**) Option "dpms"
(**) s3(0): DPMS enabled
(==) RandR enabled
(II) Setting vga for screen 0.
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension XAccessControlExtension
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
(II) Initializing built-in extension XEVIE
(EE) AIGLX: Screen 0 is not DRI capable
(II) Loading local sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Loading /usr/lib/xorg/modules/extensions//libGLcore.so
(II) Module GLcore: vendor="X.Org Foundation"
	compiled for 1.3.0, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(II) GLX: Initialized MESA-PROXY GL provider for screen 0
(**) Option "CoreKeyboard"
(**) Generic Keyboard: Core Keyboard
(**) Option "Protocol" "standard"
(**) Generic Keyboard: Protocol: standard
(**) Option "AutoRepeat" "500 30"
(**) Option "XkbRules" "xorg"
(**) Generic Keyboard: XkbRules: "xorg"
(**) Option "XkbModel" "pc105"
(**) Generic Keyboard: XkbModel: "pc105"
(**) Option "XkbLayout" "fr"
(**) Generic Keyboard: XkbLayout: "fr"
(**) Option "XkbVariant" "latin9"
(**) Generic Keyboard: XkbVariant: "latin9"
(**) Option "CustomKeycodes" "off"
(**) Generic Keyboard: CustomKeycodes disabled
(**) Option "Protocol" "ImPS/2"
(**) Configured Mouse: Device: "/dev/input/mice"
(**) Configured Mouse: Protocol: "ImPS/2"
(**) Option "CorePointer"
(**) Configured Mouse: Core Pointer
(**) Option "Device" "/dev/input/mice"
(**) Option "Emulate3Buttons" "true"
(**) Configured Mouse: Emulate3Buttons, Emulate3Timeout: 50
(**) Configured Mouse: ZAxisMapping: buttons 4 and 5
(**) Configured Mouse: Buttons: 9
(**) Configured Mouse: Sensitivity: 1
(II) XINPUT: Adding extended input device "Configured Mouse" (type: MOUSE)
(II) XINPUT: Adding extended input device "Generic Keyboard" (type: KEYBOARD)
(II) Configured Mouse: ps2EnableDataReporting: succeeded


-- System Information:
Debian Release: lenny/sid
Architecture: i386 (i686)

Kernel: Linux 2.6.22-3-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages xserver-xorg-video-s3 depends on:
ii  libc6                  2.7-6             GNU C Library: Shared libraries
ii  xserver-xorg-core      2:1.3.0.0.dfsg-12 X.Org X server -- core server

xserver-xorg-video-s3 recommends no packages.

-- no debconf information




Noted your statement that Bug has been forwarded to http://bugs.freedesktop.org/show_bug.cgi?id=14999. Request was from Brice Goglin <bgoglin@debian.org> to control@bugs.debian.org. (Thu, 13 Mar 2008 23:06:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#470408; Package xserver-xorg-video-s3. Full text and rfc822 format available.

Acknowledgement sent to "Franklin PIAT" <fpiat@bigfoot.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #21 received at 470408@bugs.debian.org (full text, mbox):

From: "Franklin PIAT" <fpiat@bigfoot.com>
To: 470408@bugs.debian.org
Subject: Re: Bug#470408: Acknowledgement (xserver-xorg-video-s3: Screen corrupted for Virtual PC 2007, in 24bit mode)
Date: Fri, 14 Mar 2008 00:09:30 +0100 (CET)
I've opened a bug upstream :
https://bugs.freedesktop.org/show_bug.cgi?id=14999

However, because I'm not sure there's anything that can be done about this
bug, I wonder if xserver-xorg-video-s3 could be configured as 16bpp by
default (It probably rarely used on pysical hardware).





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#470408; Package xserver-xorg-video-s3. (Mon, 04 May 2009 12:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Evgeny M. Zubok" <evgeny.zubok@tochka.ru>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 04 May 2009 12:18:02 GMT) Full text and rfc822 format available.

Message #26 received at 470408@bugs.debian.org (full text, mbox):

From: "Evgeny M. Zubok" <evgeny.zubok@tochka.ru>
To: 470408@bugs.debian.org
Subject: Re: xserver-xorg-video-s3: Screen corrupted for Virtual PC 2007, in 24bit mode
Date: Mon, 04 May 2009 16:15:54 +0400
Franklin Piat <fpiat@bigfoot.com> writes:

> The screen looks too wide and corrupted, when ran in 24 bits mode.

I close this bug in upstream. The problem was partially solved in 0.6.1
version (available in Debian) and finally solved in upstream by fixing
interlaced mode which is needed to set up 1024x768 resolution in 32 bpp
framebuffer / 24-bit colour mode.




Tags added: fixed-upstream Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 07 May 2009 21:15:23 GMT) Full text and rfc822 format available.

Reply sent to Brice Goglin <bgoglin@debian.org>:
You have taken responsibility. (Mon, 20 Jul 2009 17:21:09 GMT) Full text and rfc822 format available.

Notification sent to Franklin Piat <fpiat@bigfoot.com>:
Bug acknowledged by developer. (Mon, 20 Jul 2009 17:21:10 GMT) Full text and rfc822 format available.

Message #33 received at 470408-close@bugs.debian.org (full text, mbox):

From: Brice Goglin <bgoglin@debian.org>
To: 470408-close@bugs.debian.org
Subject: Bug#470408: fixed in xserver-xorg-video-s3 1:0.6.2-1
Date: Mon, 20 Jul 2009 17:02:07 +0000
Source: xserver-xorg-video-s3
Source-Version: 1:0.6.2-1

We believe that the bug you reported is fixed in the latest version of
xserver-xorg-video-s3, which is due to be installed in the Debian FTP archive:

xserver-xorg-video-s3_0.6.2-1.diff.gz
  to pool/main/x/xserver-xorg-video-s3/xserver-xorg-video-s3_0.6.2-1.diff.gz
xserver-xorg-video-s3_0.6.2-1.dsc
  to pool/main/x/xserver-xorg-video-s3/xserver-xorg-video-s3_0.6.2-1.dsc
xserver-xorg-video-s3_0.6.2-1_i386.deb
  to pool/main/x/xserver-xorg-video-s3/xserver-xorg-video-s3_0.6.2-1_i386.deb
xserver-xorg-video-s3_0.6.2.orig.tar.gz
  to pool/main/x/xserver-xorg-video-s3/xserver-xorg-video-s3_0.6.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 470408@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Brice Goglin <bgoglin@debian.org> (supplier of updated xserver-xorg-video-s3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 20 Jul 2009 18:42:04 +0200
Source: xserver-xorg-video-s3
Binary: xserver-xorg-video-s3
Architecture: source i386
Version: 1:0.6.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Brice Goglin <bgoglin@debian.org>
Description: 
 xserver-xorg-video-s3 - X.Org X server -- legacy S3 display driver
Closes: 374059 470408
Changes: 
 xserver-xorg-video-s3 (1:0.6.2-1) unstable; urgency=low
 .
   * Add README.source, bump Standards-Version to 3.8.2.
   * New upstream release.
     + Fix 24bits support (for Virtual PC 2007), closes: #470408.
   * Install the s3.4 manpage, closes: #374059.
Checksums-Sha1: 
 5d2488b39bcc0b68b17a05ed36625bd79bb7a182 1578 xserver-xorg-video-s3_0.6.2-1.dsc
 8a73f0392f625ca6b2eccb12e1fb77ec7e0472b5 329894 xserver-xorg-video-s3_0.6.2.orig.tar.gz
 70fe97fcb816ef6dcea33a2f22cf33a27a77f1b1 23543 xserver-xorg-video-s3_0.6.2-1.diff.gz
 e730081904390f080e189d5093ca1040dae66801 41982 xserver-xorg-video-s3_0.6.2-1_i386.deb
Checksums-Sha256: 
 ee95af38f453939449355d0b900303b9fef2d97a6d17aac1eb9f8fd8e56625f5 1578 xserver-xorg-video-s3_0.6.2-1.dsc
 b744a36100a750da38cd3a09dc5b79e38cd90dfb3d7791201596e6f1760ee069 329894 xserver-xorg-video-s3_0.6.2.orig.tar.gz
 74946d47d1c995a5c50416e57ea4eddce767415246f30a9a5e894ff1e90aa726 23543 xserver-xorg-video-s3_0.6.2-1.diff.gz
 129e1827915630c72588077152f38464ad266d341b22a0e44cfdd0bd26826788 41982 xserver-xorg-video-s3_0.6.2-1_i386.deb
Files: 
 80306a8f32e54b850e9c3646e056ecee 1578 x11 optional xserver-xorg-video-s3_0.6.2-1.dsc
 e5a7aa369f00481c9dae41f672f94059 329894 x11 optional xserver-xorg-video-s3_0.6.2.orig.tar.gz
 86038b3fa09c50b81aa1aa7cb0ce7533 23543 x11 optional xserver-xorg-video-s3_0.6.2-1.diff.gz
 6bf9e785a4c2e90a3a67601795946501 41982 x11 optional xserver-xorg-video-s3_0.6.2-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkpkn5QACgkQRh88F8PcWfrSiQCfZTEaiEcKehj3ENohJ23iAeJu
6W8An3wztxmtUBl0DC9gAVYcevkGp3eX
=jgl2
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 12 Oct 2009 07:29:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:09:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.